import { FC, MouseEvent } from 'react'
import { IListValuationsName } from '../../../models/IListValutionsName'
import checkIcon from '../../../assets/images/check.svg'

import './ConverterPopup.scss'

export const ConverterPopup: FC<IListValuationsName> = ({
  item,
  valuation,
  setValuation
}) => {
  const setActiveValuation = (e: MouseEvent<HTMLDivElement>) => {
    setValuation({
      img: item.img,
      title: item.title
    })
  }

  return (
    <div className={'converter-popup__container'} onClick={setActiveValuation}>
      <div className={'converter-popup__check'}>
        {valuation.title === item.title && <img src={checkIcon} alt='check' />}
      </div>
      <div className={'converter-popup__body'}>
        <img src={item.img} alt='' className={'converter-popup__img'} />
        <button
          type='button'
          className={'converter-popup__button'}
          value={item.title}
        >
          {item.title} <span>{item.alt}</span>
        </button>
      </div>
    </div>
  )
}
